## lua-torch-image 0~20170420-g5aa1881

=== debian/changelog ===
lua-torch-image (0~20170420-g5aa1881-5) unstable; urgency=medium

  * Update Autopkgtest files. Discard the tput error.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 29 Oct 2017 05:20:05 +0000

lua-torch-image (0~20170420-g5aa1881-4) unstable; urgency=medium

  * This package doesn't FTBFS anymore with updated lua-torch-torch7
    package. (Closes: #877131)
  * Upload to unstable.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 28 Oct 2017 13:26:29 +0000

lua-torch-image (0~20170420-g5aa1881-3) experimental; urgency=medium

  * Bump Standards-Version to 4.1.1 .
    + Use https link in copyright.
  * Update my name in control and copyright.
  * Add Autopkgtest control file.

 -- Mo Zhou <cdluminate@gmail.com>  Fri, 27 Oct 2017 01:39:33 +0000

lua-torch-image (0~20170420-g5aa1881-2) experimental; urgency=medium

  * Only build on architectures that are supported by upstream.
    supported: amd64 arm64 armel armhf ppc64el kfreebsd-amd64

 -- Zhou Mo <cdluminate@gmail.com>  Mon, 22 May 2017 03:21:54 +0000

lua-torch-image (0~20170420-g5aa1881-1) experimental; urgency=medium

  * Import upstream snapshot.
  * Debhelper compat 10.
  * Upstream renamed libpng.so -> liblua_png.so .
  * Remove -pedantic option from rules.

 -- Zhou Mo <cdluminate@gmail.com>  Sat, 20 May 2017 09:00:59 +0000

lua-torch-image (0~20161010-g674c8d1-1) experimental; urgency=medium

  * New upstream snapshot.
  * Install upstream test scripts as examples.

 -- Zhou Mo <cdluminate@gmail.com>  Thu, 17 Nov 2016 09:28:15 +0000

lua-torch-image (0~20160730-g797fcb1-1) experimental; urgency=low

  * Initial release. Closes: #827434

 -- Zhou Mo <cdluminate@gmail.com>  Sun, 28 Aug 2016 05:13:58 +0000
