=== debian/control ===
Source: lua-torch-image
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Mo Zhou <cdluminate@gmail.com>
Build-Depends: debhelper (>=10),
               dh-lua,
               luajit,
               libtorch-th-dev,
               libtorch-luat-dev,
               lua-torch-torch7,
               lua-torch-xlua,
               lua-torch-sys,
               lua-torch-dok,
               libjpeg-dev,
               libpng-dev,
Standards-Version: 4.1.1
Homepage: https://github.com/torch/image
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lua-torch-image.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lua-torch-image.git

# Architecture Note:
# https://github.com/torch/torch7/issues/762#issuecomment-271497176
# supported: amd64 arm64 armel armhf ppc64el kfreebsd-amd64

Package: lua-torch-image
Architecture: amd64 arm64 armel armhf ppc64el kfreebsd-amd64
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lua-torch-torch7,
         lua-torch-xlua,
         lua-torch-sys,
         lua-torch-dok,
Description: Image Load/Save Library for Torch Framework
 "image" is the Torch7 distribution package for processing images. It
 contains a wide variety of functions divided into the following categories:
 .
  * Saving and loading images as JPEG, PNG, PPM and PGM;
  * Simple transformations like translation, scaling and rotation;
  * Parameterized transformations like convolutions and warping;
  * Simple Drawing Routines like drawing text or a rectangle on an image;
  * Graphical user interfaces like display and window;
  * Color Space Conversions from and to RGB, YUV, Lab, and HSL;
  * Tensor Constructors for creating Lenna, Fabio and Gaussian and
    Laplacian kernels;
 .
 Note that unless specified otherwise, this package deals with images of
 size `nChannel x height x width`.
