=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS= hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_configure:
	ln -s . image
	dh_auto_configure

override_dh_auto_test:
	-$(RM) -rf deb.test
	set -e; mkdir -p deb.test/image;
	set -e; find . -type f,l -name '*.so*' -exec cp -vL '{}' deb.test/ \; ;
	set -e; find . -type f -name '*.lua' -exec cp -v '{}' deb.test/image \; ;
	set -e; cp -av assets deb.test/image/; \
		ln -s image/assets deb.test/assets;
	set -e; cd deb.test; ln -s image/init.lua image.lua; \
		ln -s libimage.so libppm.so; \
		ln -s libimage.so liblua_png.so; \
		ln -s libimage.so libjpeg.so; \
		luajit -limage -e 'image.test()';
	dh_auto_test

override_dh_auto_clean:
	-$(RM) -rf 5.1-torch-image debian/trash image deb.test
	dh_auto_clean
