=== debian/tests/control ===
Test-Command: luajit -ltorch -limage -e "os.exit()" 2>/dev/null

Test-Command: luajit -ltorch -limage -e "image.test()" 2>/dev/null
