## lua-torch-image 0%7e20161010

=== CMakeLists.txt ===
--- 
+++ 
@@ -69,10 +69,10 @@
 if (PNG_FOUND)
     SET(src png.c)
     include_directories (${PNG_INCLUDE_DIR})
-    ADD_TORCH_PACKAGE(lua_png "${src}" "${luasrc}" "Image Processing")
-    TARGET_LINK_LIBRARIES(lua_png luaT TH ${PNG_LIBRARIES})
+    ADD_TORCH_PACKAGE(png "${src}" "${luasrc}" "Image Processing")
+    TARGET_LINK_LIBRARIES(png luaT TH ${PNG_LIBRARIES})
     IF(LUALIB)
-        TARGET_LINK_LIBRARIES(lua_png ${LUALIB})
+        TARGET_LINK_LIBRARIES(png ${LUALIB})
     ENDIF()
 else (PNG_FOUND)
     message ("WARNING: Could not find PNG libraries, PNG wrapper will not be installed")
